Subject: Re: [PATCH v2 0/6] cache API: always have a "istate->repo"

From: Junio C Hamano <[email-masked]>
Date: Fri, 13 Jan 2023 11:22:37 -0800

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> The "struct index_state" contains a "repo" member, which should be a
> pointer to the repository for that index, but which due to us
> constructing such structs on an ad-hoc basis in various places wasn't
> always available.

I'd exclude 6/6 for now, as it seems to depend on some changes only
in 'next'.  Feel free to resend only that step with reduced scope so
that it applies to 'master', and send in incremental updates when
each of these topics that are only in 'next' graduates.

Thanks.